Bug 468224 - Review Request: python-zope-sqlalchemy - Minimal Zope/SQLAlchemy transaction integration
Review Request: python-zope-sqlalchemy - Minimal Zope/SQLAlchemy transaction ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 468230
  Show dependency treegraph
 
Reported: 2008-10-23 12:33 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 17:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-10-23 12:33:49 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-zope-sqlalchemy.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-zope-sqlalchemy-0.3-1.fc9.src.rpm
Description:
The aim of this package is to unify the plethora of existing packages
integrating SQLAlchemy with Zope's transaction management. As such it seeks
only to provide a data manager and makes no attempt to define a zopeish way to
configure engines.
Comment 1 Brian Pepple 2008-11-16 18:33:00 EST
MD5Sum:
3edc2b0f02e778483de64b60ff214df9  zope.sqlalchemy-0.3.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.
* Package installs and uninstalls cleanly

Bad:
* rpmlint produces the following, which based on the source files should be 'ZPLv2.1':
python-zope-sqlalchemy.noarch: W: invalid-license ZPL

the license tag can be fixed when you import it into CVS.

+1 APPROVED
Comment 2 Luke Macken 2008-11-19 10:39:15 EST
New Package CVS Request
=======================
Package Name: python-zope-sqlalchemy
Short Description: Minimal Zope/SQLAlchemy transaction integration
Owners: lmacken
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2008-11-22 22:58:37 EST
cvs done.
Comment 4 Luke Macken 2009-01-06 17:31:18 EST
Tagged and built, and queued up in bodhi.  Thanks!
Comment 5 Fedora Update System 2009-01-06 17:33:07 EST
python-zope-sqlalchemy-0.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-zope-sqlalchemy-0.3-1.fc10
Comment 6 Fedora Update System 2009-01-06 17:33:29 EST
python-zope-sqlalchemy-0.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-zope-sqlalchemy-0.3-1.fc9

Note You need to log in before you can comment on or make changes to this bug.